%define toolbox_release 3
%define aix_version 6.1

Name: mpfr-aix
Version: 3.1.2
Release: 12
Group: System Environment/Libraries
License: LGPL-3.0-or-later
URL: http://www.mpfr.org/
Summary: AIX Toolbox mpfr compatibility libraries
BuildArch: fat

BuildRequires: cpio-gnu
BuildRequires: pase-build-tools

Source0: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/mpfr/mpfr-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm

%description
AIX Toolbox mpfr compatibility libraries needed by gcc-aix

%install

mkdir %{buildroot}/tmp
cd %{buildroot}/tmp

rpm2cpio %{SOURCE0} | cpio -idmv

mkdir -p %{buildroot}/%{_libdir}
cd %{buildroot}/%{_libdir}

mkdir 32 64
cd 32
    ar -X32 x %{buildroot}/tmp/opt/freeware/lib/libmpfr.a
    fix-rpath libmpfr.so.4 %{_libdir}:/QOpenSys/usr/lib
cd ../64
    ar -X64 x %{buildroot}/tmp/opt/freeware/lib/libmpfr.a
    fix-rpath libmpfr.so.4 %{_libdir}:/QOpenSys/usr/lib
cd ..

strip -X32_64 -e 32/* 64/*
ar -X32_64 crlo libmpfr.a 32/libmpfr.so.4 64/libmpfr.so.4

rm -r 32 64

cd %{buildroot}
rm -r %{buildroot}/tmp

%files
%defattr(-, qsys, *none)

%{_libdir}/libmpfr.a

%changelog
* Thu Dec 5 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com>
- ibm-build-tools -> pase-build-tools

* Fri Mar 30 2018 - Kevin Adler <kadler@us.ibm.com>
- We build mpfr now, so remove svr4-style repack packages
- This package is now only needed to provide 32-bit AIX compat libs for GCC

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix repacked binaries' LIBPATH so we can use automatic dependency generation
- Build all subpackages in one shot since we can now have subpackages with fat architecture

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix XCOFF dependency lines to use new square bracket format

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Merge mpfr-aix-ibmi.spec in to this spec

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Only package files in /opt/freeware; don't mess with /usr
- Add mpfr-aix-ibmi.spec to repackage AIX binaries how we want them built

* Thu Apr 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add spec file
